#!/usr/bin/python
# -*- coding: utf-8 -*-
import requests,urllib,urllib2,re,cookielib,json,base64
api_URL = 'http://solidstreamz.com/soliddata.php'
#data = urllib.urlencode({'Authorization' : 'Basic U29saWRTdHJlYW16OkAhU29saWRTdHJlYW16IUA=','SolidStreamz':'@!SolidStreamz!@'})
#req = urllib2.Request(url, data)
#response = urllib2.urlopen(req)
#ans = response.read()
#print ans
r=requests.post(api_URL, 
                headers={"Authorization": "Basic U29saWRTdHJlYW16OkAhU29saWRTdHJlYW16IUA="})
print r.text
print 'encoding: ' , r.encoding
print r.headers
print 'json_data: ' ,r.json
rr=str(r.text)
f=base64.b64decode(rr)
print f
ff=json.loads(r.json)
print ff

